org.springframework.web.socket.sockjs.client

## Class WebSocketTransport

- java.lang.Object
- - org.springframework.web.socket.sockjs.client.WebSocketTransport

All Implemented Interfaces:
  org.springframework.context.Lifecycle, Transport

    public class WebSocketTransport
    extends Object
    implements Transport, org.springframework.context.Lifecycle

A SockJS `Transport` that uses a `WebSocketClient`.

Since:
  4.1
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`WebSocketTransport(WebSocketClient webSocketClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.springframework.util.concurrent.ListenableFuture<WebSocketSession>` `connect(TransportRequest request, WebSocketHandler handler)` Connect the transport.
`List<TransportType>` `getTransportTypes()` Return the SockJS transport types that this transport can be used for.
`WebSocketClient` `getWebSocketClient()` Return the configured `WebSocketClient`.
`boolean` `isRunning()`
`void` `start()`
`void` `stop()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketTransport

    public WebSocketTransport(WebSocketClient webSocketClient)

### Method Detail

#### getWebSocketClient

    public WebSocketClient getWebSocketClient()

Return the configured `WebSocketClient`.

#### getTransportTypes

    public List<TransportType> getTransportTypes()

Description copied from interface: `Transport`
Return the SockJS transport types that this transport can be used for. In particular since from a client perspective there is no difference between XHR and XHR streaming, an `XhrTransport` could do both.

Specified by:
  `getTransportTypes` in interface `Transport`

#### connect

    public org.springframework.util.concurrent.ListenableFuture<WebSocketSession> connect(TransportRequest request,
                                                                                          WebSocketHandler handler)

Description copied from interface: `Transport`
Connect the transport.

Specified by:
  `connect` in interface `Transport`
Parameters:
  `request` - the transport request.
  `handler` - the application handler to delegate lifecycle events to.
Returns:
  a future to indicate success or failure to connect.

#### start

    public void start()

Specified by:
  `start` in interface `org.springframework.context.Lifecycle`

#### stop

    public void stop()

Specified by:
  `stop` in interface `org.springframework.context.Lifecycle`

#### isRunning

    public boolean isRunning()

Specified by:
  `isRunning` in interface `org.springframework.context.Lifecycle`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`